<template>
    <div>
        <select v-model="selected">
            <option v-for="(category, index) in categories" v-bind:key="index">
                <h1>{{category}}</h1>
            </option>
        </select>
        <button @click="emitChooseCategory">Search by Category</button>
    </div>
</template>

<script>
export default {
    data() {
        return {
            selected: null,
        }
    },
    name: 'CategoryComponent',

    props: {
        state: { objectType: Boolean, required: true },
        categories: { objectType: Array, required: true },
    },
    methods: {
        emitChooseCategory() {
            this.$emit('chooseCategoryEvent', this.selected)
        },
    },
}
</script>

<style scoped></style>
